package pl.net.linux.krzak.kchat.server;
import java.net.*;
import java.io.*;

public class kChatServerThread extends Thread
{
    Socket	   clientS;
    BufferedReader br;
    PrintWriter    pw;
    String  	   login     = "";
    String  	   channelName  = "";
    String  	   color  = "black";
    String	   host = new String();
    int		   ping = 0;
    private kChatSystem    systemClass = null;

    public kChatServerThread(java.net.Socket cl,kChatSystem cs)
 throws IOException {
    clientS = cl;
    systemClass = cs;
    br = new BufferedReader(new InputStreamReader(clientS.getInputStream()));
	
    pw = new PrintWriter(new BufferedWriter(new OutputStreamWriter(clientS.getOutputStream())),true);
    host = clientS.getInetAddress().getHostAddress();
    start();
    }

    public void run()
    {
    String liniaWe, liniaWy;
    try {
//	pw.println("WELCOME " + host +"\r\n");
	while (true) {
	    liniaWe = br.readLine();
	    if (liniaWe == null) break;
	    liniaWy = systemClass.getAnswerFor(liniaWe,this);
	    if (liniaWy.equals("BYE")) break;
	    pw.println(liniaWy);
	    }
	systemClass.quitFromSystem(login);
	} 
	catch (IOException e) {} 
	finally { try { systemClass.quitFromSystem(login);
 clientS.close(); } catch (IOException e) { }  }
    }
    
}